Bug 104234 - ValueError: min() or max() arg is an empty sequence
ValueError: min() or max() arg is an empty sequence
Status: CLOSED DUPLICATE of bug 104152
Product: Red Hat Linux Beta
Classification: Retired
Component: up2date (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-11 11:40 EDT by Dave Habben
Modified: 2007-04-18 12:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:58:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Habben 2003-09-11 11:40:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5b)
Gecko/20030910 Firebird/0.6.1+

Description of problem:
When updating from rawhide today up2date displayed the following on the console:

# up2date
New Up2date available
Restarting up2date
# Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1439, in onSkippedPagePrepare
    maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8
ValueError: min() or max() arg is an empty sequence



Version-Release number of selected component (if applicable):
up2date-3.9.26-2

How reproducible:
Didn't try

Steps to Reproduce:
1. Update just up2date from rawhide
2. up2date restarts itself and displays a package skip list
3. The error displayed on the console, but up2date worked properly
    

Expected Results:  No errors on the console while running up2date

Additional info:
Comment 1 Barry K. Nathan 2003-09-11 13:48:19 EDT
I also got this traceback. I wish I had more info to add to this bug report, but
I don't. :(
Comment 2 Barry K. Nathan 2003-09-11 13:53:27 EDT
Hmmm... where did you get up2date 3.9.26-2? Latest I'm seeing on alikins' web
site is 3.9.24, same goes for Rawhide, and latest I'm seeing on the taroon WS
beta 2 channel is 3.9.25-1. (I saw this traceback happen going from 3.9.24-x to
3.9.25-1, where I think x was 1 but I'm not sure)
Comment 3 Chris Ricker 2003-09-11 13:54:16 EDT
rhn for severn has 3.9.26-2
Comment 4 Chris Ricker 2003-09-11 13:54:38 EDT

*** This bug has been marked as a duplicate of 104152 ***
Comment 5 Red Hat Bugzilla 2006-02-21 13:58:33 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.